/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let XYChartDescription = /*@__PURE__*/ (() => {
    class XYChartDescription extends DomainChartDescription {
        get_type() {
            return "XYChart";
        }
        constructor() {
            super();
            this.rn = null;
            this.r5 = null;
            this.ps = 0;
            this.pu = 0;
            this.pt = 0;
            this.pr = 0;
            this.p9 = 0;
            this.qb = 0;
            this.qa = 0;
            this.p8 = 0;
            this.rs = null;
            this.sa = null;
            this.rl = null;
            this.rm = null;
            this.p3 = 0;
            this.qk = 0;
            this.p2 = 0;
            this.qj = 0;
            this.p5 = 0;
            this.qm = 0;
            this.p4 = 0;
            this.ql = 0;
            this.p1 = 0;
            this.qi = 0;
            this.r3 = null;
            this.sl = null;
            this.rt = null;
            this.sb = null;
            this.r4 = null;
            this.sm = null;
            this.rr = null;
            this.r9 = null;
            this.rw = null;
            this.se = null;
            this.pv = 0;
            this.qc = 0;
            this.pw = 0;
            this.qd = 0;
            this.ry = null;
            this.sg = null;
            this.rz = null;
            this.sh = null;
            this.px = 0;
            this.qe = 0;
            this.py = 0;
            this.qf = 0;
            this.r0 = null;
            this.si = null;
            this.pz = 0;
            this.qg = 0;
            this.r1 = null;
            this.sj = null;
            this.rx = null;
            this.sf = null;
            this.pq = 0;
            this.p7 = 0;
            this.pp = 0;
            this.p6 = 0;
            this.p0 = 0;
            this.qh = 0;
            this.pl = false;
            this.pm = false;
            this.r2 = null;
            this.sk = null;
            this.rp = null;
            this.r7 = null;
            this.ru = null;
            this.sc = null;
            this.rv = null;
            this.sd = null;
            this.r8 = null;
            this.rq = null;
            this.ro = null;
            this.ph = null;
            this.r6 = null;
            this.pi = null;
        }
        get xAxisFormatLabelRef() {
            return this.rn;
        }
        set xAxisFormatLabelRef(a) {
            this.rn = a;
            this.g("XAxisFormatLabelRef");
        }
        get yAxisFormatLabelRef() {
            return this.r5;
        }
        set yAxisFormatLabelRef(a) {
            this.r5 = a;
            this.g("YAxisFormatLabelRef");
        }
        get xAxisLabelLeftMargin() {
            return this.ps;
        }
        set xAxisLabelLeftMargin(a) {
            this.ps = a;
            this.g("XAxisLabelLeftMargin");
        }
        get xAxisLabelTopMargin() {
            return this.pu;
        }
        set xAxisLabelTopMargin(a) {
            this.pu = a;
            this.g("XAxisLabelTopMargin");
        }
        get xAxisLabelRightMargin() {
            return this.pt;
        }
        set xAxisLabelRightMargin(a) {
            this.pt = a;
            this.g("XAxisLabelRightMargin");
        }
        get xAxisLabelBottomMargin() {
            return this.pr;
        }
        set xAxisLabelBottomMargin(a) {
            this.pr = a;
            this.g("XAxisLabelBottomMargin");
        }
        get yAxisLabelLeftMargin() {
            return this.p9;
        }
        set yAxisLabelLeftMargin(a) {
            this.p9 = a;
            this.g("YAxisLabelLeftMargin");
        }
        get yAxisLabelTopMargin() {
            return this.qb;
        }
        set yAxisLabelTopMargin(a) {
            this.qb = a;
            this.g("YAxisLabelTopMargin");
        }
        get yAxisLabelRightMargin() {
            return this.qa;
        }
        set yAxisLabelRightMargin(a) {
            this.qa = a;
            this.g("YAxisLabelRightMargin");
        }
        get yAxisLabelBottomMargin() {
            return this.p8;
        }
        set yAxisLabelBottomMargin(a) {
            this.p8 = a;
            this.g("YAxisLabelBottomMargin");
        }
        get xAxisLabelTextColor() {
            return this.rs;
        }
        set xAxisLabelTextColor(a) {
            this.rs = a;
            this.g("XAxisLabelTextColor");
        }
        get yAxisLabelTextColor() {
            return this.sa;
        }
        set yAxisLabelTextColor(a) {
            this.sa = a;
            this.g("YAxisLabelTextColor");
        }
        get actualXAxisLabelTextColor() {
            return this.rl;
        }
        set actualXAxisLabelTextColor(a) {
            this.rl = a;
            this.g("ActualXAxisLabelTextColor");
        }
        get actualYAxisLabelTextColor() {
            return this.rm;
        }
        set actualYAxisLabelTextColor(a) {
            this.rm = a;
            this.g("ActualYAxisLabelTextColor");
        }
        get xAxisTitleMargin() {
            return this.p3;
        }
        set xAxisTitleMargin(a) {
            this.p3 = a;
            this.g("XAxisTitleMargin");
        }
        get yAxisTitleMargin() {
            return this.qk;
        }
        set yAxisTitleMargin(a) {
            this.qk = a;
            this.g("YAxisTitleMargin");
        }
        get xAxisTitleLeftMargin() {
            return this.p2;
        }
        set xAxisTitleLeftMargin(a) {
            this.p2 = a;
            this.g("XAxisTitleLeftMargin");
        }
        get yAxisTitleLeftMargin() {
            return this.qj;
        }
        set yAxisTitleLeftMargin(a) {
            this.qj = a;
            this.g("YAxisTitleLeftMargin");
        }
        get xAxisTitleTopMargin() {
            return this.p5;
        }
        set xAxisTitleTopMargin(a) {
            this.p5 = a;
            this.g("XAxisTitleTopMargin");
        }
        get yAxisTitleTopMargin() {
            return this.qm;
        }
        set yAxisTitleTopMargin(a) {
            this.qm = a;
            this.g("YAxisTitleTopMargin");
        }
        get xAxisTitleRightMargin() {
            return this.p4;
        }
        set xAxisTitleRightMargin(a) {
            this.p4 = a;
            this.g("XAxisTitleRightMargin");
        }
        get yAxisTitleRightMargin() {
            return this.ql;
        }
        set yAxisTitleRightMargin(a) {
            this.ql = a;
            this.g("YAxisTitleRightMargin");
        }
        get xAxisTitleBottomMargin() {
            return this.p1;
        }
        set xAxisTitleBottomMargin(a) {
            this.p1 = a;
            this.g("XAxisTitleBottomMargin");
        }
        get yAxisTitleBottomMargin() {
            return this.qi;
        }
        set yAxisTitleBottomMargin(a) {
            this.qi = a;
            this.g("YAxisTitleBottomMargin");
        }
        get xAxisTitleTextColor() {
            return this.r3;
        }
        set xAxisTitleTextColor(a) {
            this.r3 = a;
            this.g("XAxisTitleTextColor");
        }
        get yAxisTitleTextColor() {
            return this.sl;
        }
        set yAxisTitleTextColor(a) {
            this.sl = a;
            this.g("YAxisTitleTextColor");
        }
        get xAxisLabelTextStyle() {
            return this.rt;
        }
        set xAxisLabelTextStyle(a) {
            this.rt = a;
            this.g("XAxisLabelTextStyle");
        }
        get yAxisLabelTextStyle() {
            return this.sb;
        }
        set yAxisLabelTextStyle(a) {
            this.sb = a;
            this.g("YAxisLabelTextStyle");
        }
        get xAxisTitleTextStyle() {
            return this.r4;
        }
        set xAxisTitleTextStyle(a) {
            this.r4 = a;
            this.g("XAxisTitleTextStyle");
        }
        get yAxisTitleTextStyle() {
            return this.sm;
        }
        set yAxisTitleTextStyle(a) {
            this.sm = a;
            this.g("YAxisTitleTextStyle");
        }
        get xAxisLabelRef() {
            return this.rr;
        }
        set xAxisLabelRef(a) {
            this.rr = a;
            this.g("XAxisLabelRef");
        }
        get yAxisLabelRef() {
            return this.r9;
        }
        set yAxisLabelRef(a) {
            this.r9 = a;
            this.g("YAxisLabelRef");
        }
        get xAxisMajorStroke() {
            return this.rw;
        }
        set xAxisMajorStroke(a) {
            this.rw = a;
            this.g("XAxisMajorStroke");
        }
        get yAxisMajorStroke() {
            return this.se;
        }
        set yAxisMajorStroke(a) {
            this.se = a;
            this.g("YAxisMajorStroke");
        }
        get xAxisMajorStrokeThickness() {
            return this.pv;
        }
        set xAxisMajorStrokeThickness(a) {
            this.pv = a;
            this.g("XAxisMajorStrokeThickness");
        }
        get yAxisMajorStrokeThickness() {
            return this.qc;
        }
        set yAxisMajorStrokeThickness(a) {
            this.qc = a;
            this.g("YAxisMajorStrokeThickness");
        }
        get xAxisMinorStrokeThickness() {
            return this.pw;
        }
        set xAxisMinorStrokeThickness(a) {
            this.pw = a;
            this.g("XAxisMinorStrokeThickness");
        }
        get yAxisMinorStrokeThickness() {
            return this.qd;
        }
        set yAxisMinorStrokeThickness(a) {
            this.qd = a;
            this.g("YAxisMinorStrokeThickness");
        }
        get xAxisStrip() {
            return this.ry;
        }
        set xAxisStrip(a) {
            this.ry = a;
            this.g("XAxisStrip");
        }
        get yAxisStrip() {
            return this.sg;
        }
        set yAxisStrip(a) {
            this.sg = a;
            this.g("YAxisStrip");
        }
        get xAxisStroke() {
            return this.rz;
        }
        set xAxisStroke(a) {
            this.rz = a;
            this.g("XAxisStroke");
        }
        get yAxisStroke() {
            return this.sh;
        }
        set yAxisStroke(a) {
            this.sh = a;
            this.g("YAxisStroke");
        }
        get xAxisStrokeThickness() {
            return this.px;
        }
        set xAxisStrokeThickness(a) {
            this.px = a;
            this.g("XAxisStrokeThickness");
        }
        get yAxisStrokeThickness() {
            return this.qe;
        }
        set yAxisStrokeThickness(a) {
            this.qe = a;
            this.g("YAxisStrokeThickness");
        }
        get xAxisTickLength() {
            return this.py;
        }
        set xAxisTickLength(a) {
            this.py = a;
            this.g("XAxisTickLength");
        }
        get yAxisTickLength() {
            return this.qf;
        }
        set yAxisTickLength(a) {
            this.qf = a;
            this.g("YAxisTickLength");
        }
        get xAxisTickStroke() {
            return this.r0;
        }
        set xAxisTickStroke(a) {
            this.r0 = a;
            this.g("XAxisTickStroke");
        }
        get yAxisTickStroke() {
            return this.si;
        }
        set yAxisTickStroke(a) {
            this.si = a;
            this.g("YAxisTickStroke");
        }
        get xAxisTickStrokeThickness() {
            return this.pz;
        }
        set xAxisTickStrokeThickness(a) {
            this.pz = a;
            this.g("XAxisTickStrokeThickness");
        }
        get yAxisTickStrokeThickness() {
            return this.qg;
        }
        set yAxisTickStrokeThickness(a) {
            this.qg = a;
            this.g("YAxisTickStrokeThickness");
        }
        get xAxisTitle() {
            return this.r1;
        }
        set xAxisTitle(a) {
            this.r1 = a;
            this.g("XAxisTitle");
        }
        get yAxisTitle() {
            return this.sj;
        }
        set yAxisTitle(a) {
            this.sj = a;
            this.g("YAxisTitle");
        }
        get xAxisMinorStroke() {
            return this.rx;
        }
        set xAxisMinorStroke(a) {
            this.rx = a;
            this.g("XAxisMinorStroke");
        }
        get yAxisMinorStroke() {
            return this.sf;
        }
        set yAxisMinorStroke(a) {
            this.sf = a;
            this.g("YAxisMinorStroke");
        }
        get xAxisLabelAngle() {
            return this.pq;
        }
        set xAxisLabelAngle(a) {
            this.pq = a;
            this.g("XAxisLabelAngle");
        }
        get yAxisLabelAngle() {
            return this.p7;
        }
        set yAxisLabelAngle(a) {
            this.p7 = a;
            this.g("YAxisLabelAngle");
        }
        get xAxisExtent() {
            return this.pp;
        }
        set xAxisExtent(a) {
            this.pp = a;
            this.g("XAxisExtent");
        }
        get yAxisExtent() {
            return this.p6;
        }
        set yAxisExtent(a) {
            this.p6 = a;
            this.g("YAxisExtent");
        }
        get xAxisTitleAngle() {
            return this.p0;
        }
        set xAxisTitleAngle(a) {
            this.p0 = a;
            this.g("XAxisTitleAngle");
        }
        get yAxisTitleAngle() {
            return this.qh;
        }
        set yAxisTitleAngle(a) {
            this.qh = a;
            this.g("YAxisTitleAngle");
        }
        get xAxisInverted() {
            return this.pl;
        }
        set xAxisInverted(a) {
            this.pl = a;
            this.g("XAxisInverted");
        }
        get yAxisInverted() {
            return this.pm;
        }
        set yAxisInverted(a) {
            this.pm = a;
            this.g("YAxisInverted");
        }
        get xAxisTitleAlignment() {
            return this.r2;
        }
        set xAxisTitleAlignment(a) {
            this.r2 = a;
            this.g("XAxisTitleAlignment");
        }
        get yAxisTitleAlignment() {
            return this.sk;
        }
        set yAxisTitleAlignment(a) {
            this.sk = a;
            this.g("YAxisTitleAlignment");
        }
        get xAxisLabelHorizontalAlignment() {
            return this.rp;
        }
        set xAxisLabelHorizontalAlignment(a) {
            this.rp = a;
            this.g("XAxisLabelHorizontalAlignment");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.r7;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.r7 = a;
            this.g("YAxisLabelHorizontalAlignment");
        }
        get xAxisLabelVerticalAlignment() {
            return this.ru;
        }
        set xAxisLabelVerticalAlignment(a) {
            this.ru = a;
            this.g("XAxisLabelVerticalAlignment");
        }
        get yAxisLabelVerticalAlignment() {
            return this.sc;
        }
        set yAxisLabelVerticalAlignment(a) {
            this.sc = a;
            this.g("YAxisLabelVerticalAlignment");
        }
        get xAxisLabelVisibility() {
            return this.rv;
        }
        set xAxisLabelVisibility(a) {
            this.rv = a;
            this.g("XAxisLabelVisibility");
        }
        get yAxisLabelVisibility() {
            return this.sd;
        }
        set yAxisLabelVisibility(a) {
            this.sd = a;
            this.g("YAxisLabelVisibility");
        }
        get yAxisLabelLocation() {
            return this.r8;
        }
        set yAxisLabelLocation(a) {
            this.r8 = a;
            this.g("YAxisLabelLocation");
        }
        get xAxisLabelLocation() {
            return this.rq;
        }
        set xAxisLabelLocation(a) {
            this.rq = a;
            this.g("XAxisLabelLocation");
        }
        get xAxisLabelFormat() {
            return this.ro;
        }
        set xAxisLabelFormat(a) {
            this.ro = a;
            this.g("XAxisLabelFormat");
        }
        get xAxisLabelFormatSpecifiers() {
            return this.ph;
        }
        set xAxisLabelFormatSpecifiers(a) {
            this.ph = a;
            this.g("XAxisLabelFormatSpecifiers");
        }
        get yAxisLabelFormat() {
            return this.r6;
        }
        set yAxisLabelFormat(a) {
            this.r6 = a;
            this.g("YAxisLabelFormat");
        }
        get yAxisLabelFormatSpecifiers() {
            return this.pi;
        }
        set yAxisLabelFormatSpecifiers(a) {
            this.pi = a;
            this.g("YAxisLabelFormatSpecifiers");
        }
    }
    XYChartDescription.$t = /*@__PURE__*/ markType(XYChartDescription, 'XYChartDescription', DomainChartDescription.$);
    return XYChartDescription;
})();
